python-httplib2 (0.20.4-3+deb12u1) bookworm-security; urgency=medium

  * CVE-2026-59939: The httplib2 HTTP client library performs unbounded
    decompression of HTTP response bodies encoded with Content-Encoding:
    gzip or deflate. This is a classic decompression bomb (zip bomb)
    attack against the HTTP client.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 20 Aug 2026 13:29:58 -0300

python-httplib2 (0.20.4-3) unstable; urgency=medium

  * Team upload.
  * Remove unused d/s/include-binaries
  * Use dh-sequence-python3
  * Update (build) dependencies (Closes: #1027634)
  * Switch to autopkgtest-pkg-pybuild
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jan 2023 08:12:26 +0100

python-httplib2 (0.20.4-2) unstable; urgency=medium

  * debian/tests/control
    - build builddep in autopkgtests deps

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jul 2022 00:15:51 -0400

python-httplib2 (0.20.4-1) unstable; urgency=medium

  * New upstream release, supporting pytest7; Closes: #1013712
  * debian/patches
    - refresh/adjust patches
  * debian/control
    - add cryptography to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jun 2022 23:56:59 -0400

python-httplib2 (0.20.2-3) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + python3-httplib2: Drop versioned constraint on python3-pysimplesoap in
      Breaks.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 20:49:55 +0100

python-httplib2 (0.20.2-2) unstable; urgency=medium

  * Team upload.
  * Add explicit Depends on python3-pyparsing, a new dependency as of 0.19.
    dh_python3 ignored it due to python_version constraints.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 26 Nov 2021 07:06:34 -0400

python-httplib2 (0.20.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release. (Closes: #997479)
    - Fixes CVE-2021-21240 (Closes: #982738)
  * Refresh patches.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 25 Nov 2021 21:38:14 -0400

python-httplib2 (0.18.1-3) unstable; urgency=medium

  * Team upload
  * Explicitly pass test directory argument to pytest, hopefully fixing FTBFS
    on buildds.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Jan 2021 22:22:56 -0700

python-httplib2 (0.18.1-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Stefano Rivera ]
  * Breaks: python3-wsgi-intercept (<< 1.9.0). (Closes: #956427)
  * Enable build-time tests, they work without internet access.
    - Build-Depend on python3-{mock,pytest,pytest-timeout}, ca-certificates.
    - Patch: Disable pytest-cov.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Update watch file to compat 4.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Jan 2021 21:33:03 -0700

python-httplib2 (0.18.1-1) unstable; urgency=medium

  * Team upload

  [ Lukas Märdian ]
  * Bump version to 0.18.1
    - Fix security vulnerability CWE-98 CRLF injection
    - https://cwe.mitre.org/data/definitions/93.html
  * Add d/p/skip-broken-autopkgtests.patch
    - Skip 5 tests, which do not run properly in an isolated autopkgtest
      environment

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 May 2020 20:03:06 +0100

python-httplib2 (0.17.4-1) unstable; urgency=medium

  [ Lukas Märdian ]
  * Bump version to 0.17.4
  * Use upstream's new test suite in tests/ & test/
    - python3/httplib2test.py is deprecated
  * Refresh d/p/0001-Use-system-ca-certificates-not-the-bundled-ones.patch
  * Drop d/p/0002-Fix-debug-in-HTTPSConnectionWithTimeout.connect.patch
    - Fixed upstream
  * Add d/p/skip-ca-md-too-weak-ssl-tests.patch
    - Skip some tests, which fail because of CA_MD_TOO_WEAK ssl error with
      newer OpenSSL version

  [ Jelmer Vernooĳ ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 May 2020 19:03:38 +0000

python-httplib2 (0.14.0-3) unstable; urgency=medium

  * Team upload.
  * Fix crash in debug print in HTTPSConnectionWithTimeout.connect.

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Apr 2020 00:21:55 +0100

python-httplib2 (0.14.0-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937817

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 22:34:15 -0400

python-httplib2 (0.14.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.14.0
  * Bump debhelper to 12.
  * Rebase patches onto 0.14.0

  [ Jonathan Carter ]
  * Remove ancient versioned depends for python-all and python3-all

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 18 Nov 2019 11:13:37 +0100

python-httplib2 (0.11.3-2) unstable; urgency=medium

  * Add Breaks on python{,3}-pysimplesoap (<< 1.16-2.1). Thanks, Andreas
    Beckmann. (Closes: #921882)
  * Testsuite:
    - Explicitly disable the testsuite as it requires accessing the internet,
      although it was not actually being run.
    - Run the (failing) testsuite as an autopkgtests at least.
  * debian/control:
    - Swap Maintainer and Uploaders as the latter can support multiple "people".
    - Bump Standards-Version to 4.3.0.
    - Add myself to Uploaders.
    - wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Feb 2019 17:07:54 +0100

python-httplib2 (0.11.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release (Closes: #907278).
  * Bump Standards-Version to 4.2.1.
    * Using MPL-1.1 text in /usr/share/common-licenses/MPL-1.1.
    * Remove get-orig-source.
  * Bump compat to 11.
  * Use upstream package from pypi.debian.org.
  * Update Build-Depends.
  * Refresh patches:
    * Use "gbp pq" to manage patch.
    * Remove upstream applied patch.
  * Update Homepage (Closes: #890772).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 05 Sep 2018 14:45:38 +0800

python-httplib2 (0.9.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Update debian/watch and get-orig-source rule to work with current upstream
    location
  * Also remove sourceless searchindex.json file when repacking
  * New upstream release
  * Add dh-python to build-depends
  * Bump standards version to 3.9.8 without further change
  * Update upstream code location in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Nov 2016 16:29:03 -0500

python-httplib2 (0.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ilias Tsitsimpis ]
  * New upstream release (Closes: #794750).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 08 Sep 2015 13:55:42 +0300

python-httplib2 (0.9+dfsg-2) unstable; urgency=medium

  * New maintainer. (Closes: #755302)
  * debian/control: bump Standars-Version (no changes required).

 -- Andrea Colangelo <warp10@debian.org>  Sun, 28 Sep 2014 12:27:43 +0200

python-httplib2 (0.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/use_system_cacerts.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Update Homepage field to the new location.
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/copyright:
    - Adjust copyright years.
  * debian/python3-httplib2.docs:
    - Install documentation for python3-httplib2 package too.
  * debian/rules:
    - Switch to pybuild.
    - Provide get-orig-source target.
  * debian/watch:
    - Point to GitHub portal.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 28 Apr 2014 22:33:06 +0200

python-httplib2 (0.8-2) unstable; urgency=low

  * Team upload.

  [ Vincent Bernat ]
  * Upload to unstable.
  * Fix CVE-2013-2037 with the appropriate patch. Closes: #706602.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Aug 2013 17:53:42 +0200

python-httplib2 (0.8-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/use_system_cacerts.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 18 Mar 2013 22:41:38 +0100

python-httplib2 (0.7.7-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/use_system_cacerts.patch:
    - Do not ship bundled certificates, package already uses system ones,
      provided by ca-certificates.
  * debian/rules:
    - Remove stale egg-info created during build.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Nov 2012 15:24:29 +0100

python-httplib2 (0.7.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Nov 2012 10:57:02 +0100

python-httplib2 (0.7.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/egg-info.patch:
    - Removed, no longer needed.
  * debian/patches/use_system_cacerts.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 Sep 2012 11:56:49 +0200

python-httplib2 (0.7.4-2) unstable; urgency=low

  * debian/patches/egg-info.patch:
    - Complete egg-info data with missing details.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/rules:
    - Delete build directory during clean phase (Closes: #671108).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 May 2012 12:07:29 +0200

python-httplib2 (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/use_system_cacerts.patch:
    - Refresh for new upstream release.
  * debian/watch:
    - Use code.google.com to watch for upstream releases.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 16 Mar 2012 22:19:04 +0100

python-httplib2 (0.7.2-2) unstable; urgency=low

  * debian/patches/use_system_cacerts.patch:
    - Use system ca certificates, not the bundled ones, to always use
      the most recent ones, thanks to Marc Deslauriers (Closes: #652105).
  * debian/control:
    - Depend on ca-certificates.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Format now points to copyright-format site.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 23 Feb 2012 21:42:54 +0100

python-httplib2 (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/ssl-validation.patch:
    - Removed, applied upstream.
  * debian/patches/godaddy-certificate.patch:
    - Removed, applied upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Nov 2011 21:07:54 +0100

python-httplib2 (0.7.1-2) unstable; urgency=low

  * debian/patches/ssl-validation.patch:
    - Cherry-pick patch from upstream hg to fix incorrect checks for
      SSL certificate domain names.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 13 Sep 2011 20:32:44 +0200

python-httplib2 (0.7.1-1) unstable; urgency=low

  * New upstream release.
    - Install cacerts.txt file (Closes: #631841).
  * debian/patches/godaddy-certificate.patch:
    - Cherry-pick GoDaddy root certificate from upstream to fix access
      to Launchpad services (Closes: #631164).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 28 Jun 2011 21:53:34 +0200

python-httplib2 (0.7.0-1) unstable; urgency=low

  * New upstream release.
    - Do not hardcode $Rev$ in the User-Agent field (Closes: #609576).
  * debian/copyright:
    - Update copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 13 Jun 2011 23:47:18 +0200

python-httplib2 (0.6.0-5) unstable; urgency=low

  * Python transition:
    - Add support for python2.7
    - Drop support for python2.5
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 16 Apr 2011 15:15:29 +0200

python-httplib2 (0.6.0-4) unstable; urgency=low

  * Team upload.

  [ Luca Falavigna ]
  * debian/control:
    - Add Breaks: ${python:Breaks} to generate correct dependencies, this
      also makes lintian override useless now.

  [ Piotr Ożarowski ]
  * Bump minimum required python3-all version to 3.1.2-10
    (and rebuild for /usr/lib/python3/dist-packages transtion)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Sep 2010 22:10:33 +0200

python-httplib2 (0.6.0-3) unstable; urgency=medium

  * debian/control:
    - Depend on ${python3:Depends} for python3-httplib2 to generate
      correct dependencies for Python 3.X (Closes: #591956).
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/python-httplib2.lintian-overrides:
    - Override old-versioned-python-dependency, needs fixing in Lintian.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 07 Aug 2010 15:39:46 +0200

python-httplib2 (0.6.0-2) unstable; urgency=low

  * Switch to format 3.0 (quilt).
  * Switch to dh_python2.
  * debian/control:
    - Add python3-httplib2 package.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/rules:
    - Install files for python3-httplib2 package.
  * debian/watch:
    - Use googlecode.debian.net provider.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 Jun 2010 10:59:40 +0200

python-httplib2 (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Add new copyright holders.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 03 Jan 2010 17:12:21 +0100

python-httplib2 (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #461200) (LP: #373589).
  * debian/compat:
    - Bump compat level to 7.
  * debian/control:
    - New Maintainer (Closes: #542786).
    - Add Debian Python Modules Team to Uploaders.
    - Switch to python section to match override.
    - Remove cdbs from Build-Depends.
    - Bump debhelper required version to 7.2.18.
    - Do not build-depend on python-all-dev, depend on python instead.
    - Move python-support to Build-Depends-Indep.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
    - Add XS-Python-Version field.
    - Add Vcs-* fields to store Debian packaging.
    - Set Architecture to all.
    - Remove ${shlibs:Depends} from Depends.
    - Fix spelling errors in package description.
  * debian/copyright:
    - Adjust copyright informations.
  * debian/README.Debian:
    - Removed, already provided by upstream README.
  * debian/pycompat:
    - Removed, useless.
  * debian/rules:
    - Switch to debhelper 7.
  * debian/watch:
    - Provide a watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 26 Aug 2009 20:16:16 +0200

python-httplib2 (0.2.0-2) unstable; urgency=low

  * reformat description closes: #392116
  * add missing-build-dependency python-all-dev

 -- Matthias Jahn <jahn.matthias@freenet.de>  Wed, 11 Oct 2006 08:39:48 +0200

python-httplib2 (0.2.0-1) unstable; urgency=low

  * Initial upload. closes: #386944

 -- Matthias Jahn <jahn.matthias@freenet.de>  Mon, 31 Jul 2006 11:24:22 +0200
